#version 430

uniform sampler2D overlay;

smooth in vec2 frag_TexCoord;
out vec4 out_Color;

void main(void) {
	vec2 c = frag_TexCoord.xy * 2 - 1.0;
	vec4 bg = vec4(0.0);
	bg.a = 0.5 - 0.5*smoothstep(0.90, 1.0, length(c));
	vec4 tc = texture(overlay, frag_TexCoord);
	out_Color = tc + (1-tc.a)*bg;
}
